# Sprite.ChangeAnimationSpeed Method
Change the animation speed of a particular animation. This looks at the first frame and compares that frame to the speed specified. It adjusts all the animations by the same percentage.

SpriteLibrary

Sprite ChangeAnimationSpeed Method

Change the animation speed of a particular animation. This looks at the first frame and compares that frame to the speed specified. It adjusts all the animations by the same percentage.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public void ChangeAnimationSpeed(
    	int WhichAnimation,
    	int newSpeed
    )

#### Parameters

WhichAnimation
  Type: System
  Int32
  The integer representing the animation to change
newSpeed
  Type: System
  Int32
  The speed in milliseconds for the new animation

See Also

#### Reference

Sprite Class
SpriteLibrary Namespace